<?php

use Illuminate\Database\Seeder;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

		$count = -1;
    	// BRANCH PERMISSION

    	$data[++$count] = [ "module" => "Branch", "name" => "View Branch", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

        $data[++$count] = [ "module" => "Branch", "name" => "Add Branch", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Branch", "name" => "Update Branch", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		// BRANCH PERMISSION END

		// USER PERMISSION

		$data[++$count] = [ "module" => "User", "name" => "View Customer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "View Employee", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "View Dealer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Add Customer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Update Customer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Add Employee", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Update Employee", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Add Dealer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Update Dealer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "View Nominee", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Add Nominee", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "User", "name" => "Update Nominee", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


			// USER PERMISSION END

	    // BOOKING PERMISSION

	    $data[++$count] = [ "module" => "Booking", "name" => "View Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	    $data[++$count] = [ "module" => "Booking", "name" => "View Blocked Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Make Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Make Soft Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Remove Cancel Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Booking", "name" => "Update Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Booking Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Cancel Booking Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Approve Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Delete Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Cancel Booking Request", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "View Cancel Requests", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Approve Cancel Request", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "View Soft Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Mature Soft Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Update Soft Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Transfer Booking Request", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Tag Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "View Transfer Booking", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Approve Transfer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Update Transfer", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Booking Ledger", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Booking", "name" => "Cancel Booking Ledger", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];




		// BOOKING PERMISSION END

		//PLOT PERMISSION

	    $data[++$count] = [ "module" => "Plot", "name" => "View Inventory", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Plot", "name" => "Update Inventory", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Plot", "name" => "Update Inventory Bulk", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Plot", "name" => "Store Inventory", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Plot", "name" => "Remove Inventory", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		//PLOT PERMISSION END

          //COMMISSION PERMISSION

		$data[++$count] = [ "module" => "Side Payments", "name" => "View Side Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Side Payments", "name" => "Add Side Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Side Payments", "name" => "Update Side Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Side Payments", "name" => "Remove Side Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];
		

		//COMMISSION PERMISSION END


          //INSTALLMENT PERMISSION
	
		$data[++$count] = [ "module" => "Installment Plan", "name" => "Add Plan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Installment Plan", "name" => "View Plan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Installment Plan", "name" => "Update Installment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Installment Plan", "name" => "Remove Installment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		//INSTALLMENT PERMISSION END


		//CHART OF ACCOUNTS PERMISSION

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "View Head", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Add Head", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Update Head", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Remove Head", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "View Subhead", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Add Subhead", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Update Subhead", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "View Ledger", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "View Bank", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Add Bank", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Update Bank", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

         //CHARTS OF ACCOUNT PERMISSION END 


		//FINANCE PERMISSION 

	

		$data[++$count] = [ "module" => "Finance", "name" => "View Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Create Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Update Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Approve Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Reverse Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Finance", "name" => "Reject Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "View Pending Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Add Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Update Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Finance", "name" => "Remove Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		//FINANCE PERMISSION END

		

	    //DOCUMENT PERMISSION

	    $data[++$count] = [ "module" => "Document", "name" => "View Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	    $data[++$count] = [ "module" => "Document", "name" => "View Booking Form", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	    $data[++$count] = [ "module" => "Document", "name" => "View Allotment Form", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


	    $data[++$count] = [ "module" => "Document", "name" => "View Payment Plan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Document", "name" => "View Customer Summary", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "View Cancel Form", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Document", "name" => "View Transfer Form", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "View Transfer History", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "View Booking Receipts", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "View Nok Detail", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "View Nominee Detail", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Document", "name" => "Preview Voucher", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "View Booking Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "Upload Booking Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Document", "name" => "Remove Booking Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	    //DOCUMENT PERMISSION END


	    //REPORT PERMISSION

		 $data[++$count] = [ "module" => "Report", "name" => "View Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Booking Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Income Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Expense Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Account Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Finance", "name" => "View Ledger Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Inventory Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Commission Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Aging Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "View Trial Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "Profit and Loss", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Report", "name" => "Balance Sheet", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];
	
		 //REPORT PERMISSION END


		  //CALL CENTER PERMISSION
	
		 $data[++$count] = [ "module" => "Call Center", "name" => "View Call", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Call Center", "name" => "Add Call", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Call Center", "name" => "Update Call", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		 $data[++$count] = [ "module" => "Call Center", "name" => "Remove Call", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		  //CALL CENTER PERMISSION END


         //LETTER PERMISSION

		 $data[++$count] = [ "module" => "Letter", "name" => "View Letter", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


          //LETTER PERMISSION END

	      //DASHBOARD PERMISSION

		 $data[++$count] = [ "module" => "Dashboard", "name" => "Dashboard", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  //DASHBOARD PERMISSION END

		  //LOG PERMISSION

		 $data[++$count] = [ "module" => "Log", "name" => "View Log", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


          //LOG PERMISSION END


		   //SMS PERMISSION

		 $data[++$count] = [ "module" => "SMS", "name" => "Push Sms", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


          //SMS PERMISSION END



		 //HR PERMISSION START

		   $data[++$count] = [ "module" => "HR", "name" => "View HR", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		  $data[++$count] = [ "module" => "HR", "name" => "View Department", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Designation", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Contract", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Allowance", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Asset", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Loan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Leave", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Tax", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Deduction", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View MinuteSheet", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		  $data[++$count] = [ "module" => "HR", "name" => "Add Department", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Update Department", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Employee Assets", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		  $data[++$count] = [ "module" => "HR", "name" => "Employee Profile Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Add Designation", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Update Designation", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Add Contract", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Update Contract", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Assign Allowances/Assets", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "View Contract Allowances", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Add Allowance", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Update Allowance", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Add Asset", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Update Asset", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Add Loan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Update Loan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Approve Loan", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		  $data[++$count] = [ "module" => "HR", "name" => "Manage Loan Installments", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Add Leave", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Update Leave", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Add Tax", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Update Tax", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Add Deduction", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Update Deduction", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Generate MinuteSheet", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "View MinuteSheet Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Download MinuteSheet", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Refresh MinuteSheet", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Update Payroll Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   $data[++$count] = [ "module" => "HR", "name" => "Post Payroll", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		   //END HR PERMISSION

		   //INVENTORY MODULE PERMISSION

		    $data[++$count] = [ "module" => "Inventory", "name" => "View Inventory Module", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "View Item", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "Add Product", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "Update Product", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "Add Service", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "Update Service", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "View Contractor/Vendor", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "Add Supplier", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		    $data[++$count] = [ "module" => "Inventory", "name" => "Update Supplier", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];
	
	        $data[++$count] = [ "module" => "Inventory", "name" => "Add Contractor", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Update Contractor", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View Process", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "BOQ", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View BOQ Request", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View PR", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View PO", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View GRN", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View Stock", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View GIN", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "View Payable", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "BOQ Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Accept BOQ", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Reject BOQ", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "PR Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Accept PR", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Reject PR", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "PO Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "With Rate PO Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Without Rate PO Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Accept PO", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Reject PO", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Stock Details", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Add Product GIN", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

	        $data[++$count] = [ "module" => "Inventory", "name" => "Add Service GIN", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

			$data[++$count] = [ "module" => "Inventory", "name" => "GIN Document", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

			//MISSING PERMISSIONS.. DEC 13,2019 - SAMAN

			$data[++$count] = [ "module" => "Report", "name" => "View Collection Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

			$data[++$count] = [ "module" => "Report", "name" => "View Salary Slip Report", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

			$data[++$count] = [ "module" => "Chart of Accounts", "name" => "Remove Subhead", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

			$data[++$count] = [ "module" => "Bills and Payments", "name" => "View Vendor and Payments", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Bills and Payments", "name" => "Add Vendor", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Bills and Payments", "name" => "Update Vendor", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Bills and Payments", "name" => "Remove Vendor", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Bills and Payments", "name" => "Create Vendor Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Bills and Payments", "name" => "Update Vendor Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];


		$data[++$count] = [ "module" => "Bills and Payments", "name" => "View Vendor Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		$data[++$count] = [ "module" => "Bills and Payments", "name" => "Remove Vendor Payment", "guard_name" => "web", "created_at" => now(), "updated_at" => now()];

		foreach($data as $rows)
        {
	        if(\DB::table('permissions')->where('name',$rows['name'])->count() == 0)
	        {
	            \DB::table('permissions')->insert($rows);
	        }
        }
	}
}
